# Uses of Interface
org.eclipse.jface.text.ITextDoubleClickStrategy

Packages that use ITextDoubleClickStrategy
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of ITextDoubleClickStrategy in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement ITextDoubleClickStrategy
Modifier and Type
Class
Description
`class`
`DefaultTextDoubleClickStrategy`
Standard implementation of `ITextDoubleClickStrategy`.
Fields in org.eclipse.jface.text with type parameters of type ITextDoubleClickStrategy
Modifier and Type
Field
Description
`protected Map<String,ITextDoubleClickStrategy>`
TextViewer.`fDoubleClickStrategies`
The text viewer's text double click strategies
Methods in org.eclipse.jface.text with parameters of type ITextDoubleClickStrategy
Modifier and Type
Method
Description
`void`
ITextViewer.`setTextDoubleClickStrategy(ITextDoubleClickStrategy strategy, String contentType)`
Sets this viewer's text double click strategy for the given content type.
`void`
TextViewer.`setTextDoubleClickStrategy(ITextDoubleClickStrategy strategy, String contentType)`

## Uses of ITextDoubleClickStrategy in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return ITextDoubleClickStrategy
Modifier and Type
Method
Description
`ITextDoubleClickStrategy`
SourceViewerConfiguration.`getDoubleClickStrategy(ISourceViewer sourceViewer, String contentType)`
Returns the double-click strategy ready to be used in this viewer when double clicking onto text of the given content type.